- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# patternparser.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::pattern
## Classes
class | PatternParser
| Most of the work of the PatternLayout class is delegated to the PatternParser class. More...
## Typedefs
typedef PatternConverterPtr(* | log4cxx::pattern::PatternConstructor )(const std::vector< LogString > &options)
typedef std::map< LogString, PatternConstructor > | log4cxx::pattern::PatternMap